#
# spec file for package udftools
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           udftools
Version:        1.0.0b3
Release:        165.1
Summary:        UDF filesystem tools
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://linux-udf.sourceforge.net/
Source:         http://downloads.sourceforge.net/project/linux-udf/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:        http://www.kernel.org/pub/linux/kernel/people/axboe/tools/cdmrw.c
Source3:        http://www.gnu.org/licenses/gpl-3.0.txt
Patch0:         %{name}-%{version}.dif
Patch1:         udftools-1.0.0b3-pktsetup-chardev.patch
Patch2:         udftools-gcc4.patch
Patch3:         udftools-include.patch
Patch4:         cdmrw-include.patch
Patch5:         udftools-HZ.patch
Patch6:         udftools-open.patch
Patch7:         udftools-wrong-memset.patch
BuildRequires:  libtool
BuildRequires:  readline-devel
Provides:       udf = %{version}
Obsoletes:      udf < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
These are tools for UDF file systems as used, e.g., on DVD-ROMs.

%prep
%setup -q 
cp -a %{SOURCE1} .
cp %{SOURCE3} LICENSE.GPL-3.0
%patch0
%patch1 -p1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7 -p1

%build
cc %{optflags} cdmrw.c -o cdmrw
autoreconf -fvi
CFLAGS="%{optflags} -fgnu89-inline"
%configure

make %{?_smp_mflags}

%install
%make_install  %{?_smp_mflags}
install cdmrw %{buildroot}%{_bindir}/
rm  %{buildroot}%{_libdir}/libudffs.a
rm  %{buildroot}%{_libdir}/libudffs.la

%files
%defattr(-,root,root)
%doc ChangeLog AUTHORS README LICENSE.GPL-3.0
%{_bindir}/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man8/*.8.gz

%changelog
* Mon Jun  8 2015 schwab@suse.de
- Force gnu89 inline semantics
* Fri Nov  7 2014 mpluskal@suse.com
- Add license
- Clean up spec file
- Remove static library
* Tue Dec 27 2011 idonmez@suse.com
- Fix wrong size parameter in memset call
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Oct  4 2011 uli@suse.com
- cross-build fix: use %%__cc, %%configure macros
* Sat Jan 12 2008 coolo@suse.de
- fix build with glibc 2.7
* Thu Jan 10 2008 coolo@suse.de
- fix includes
* Mon Aug  7 2006 ro@suse.de
- use sysconf(_SC_CLK_TCK) instead of HZ
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct  4 2005 sbrabec@suse.cz
- Added cdmrw for preformatting of CD-MRW media.
- Fixed missing includes.
* Wed Jun 15 2005 hvogel@suse.de
- Update to 1.0.0b3
* Thu Nov  6 2003 schwab@suse.de
- Fix quoting in configure script.
* Wed Jun 12 2002 ro@suse.de
- fixed build for bigendian
* Thu Apr 25 2002 uli@suse.de
- fixed for lib64
* Tue Apr  2 2002 ro@suse.de
- use AC_LIBOBJ for new automake/autoconf
* Tue Feb 26 2002 ro@suse.de
- copy/rename from udf package
- update to 1.0.0b2
* Wed Oct 10 2001 stepan@suse.de
- use kernel-source instead of lx_sus22 to get package
  working on ia64, too. Kernel 2.4 is default now anyways.
* Mon Apr  2 2001 uli@suse.de
- update -> 0.9.3
- don't build module (it's not going into the package anyway)
* Fri Dec  1 2000 ro@suse.de
- use lx_sus22 for now
* Thu Oct 26 2000 ro@suse.de
- LFS fixed
* Tue Jun 20 2000 ro@suse.de
- fixed make oldconfig
* Tue Mar  7 2000 ro@suse.de
- don't try to compile packet-writing tools
* Mon Mar  6 2000 ro@suse.de
- update to 0.9.1
- removed module from filelist (in suse-kernel now)
* Fri Jan 28 2000 ro@suse.de
- update to 0.9.0
* Sat Oct 30 1999 ro@suse.de
- update to 0.8.9.3: they finally fixed the "73-files-in-a-dir" bug
* Sun Oct 17 1999 ro@suse.de
- make oldconfig with 'yes "n"'
* Mon Oct 11 1999 ro@suse.de
- update to 0.8.9.2 / fixed configure script
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 20 1999 ro@suse.de
- update to 0.8.8
- hack to compile on alpha
* Tue Aug 10 1999 uli@suse.de
- update -> 0.8.7
* Thu Jun  3 1999 uli@suse.de
- update 0.8.3 -> 0.8.5
* Mon May  3 1999 ro@suse.de
- use kernmod's .config on alpha as well
* Sun May  2 1999 ro@suse.de
- specfile fix for kernelconfig
* Sat May  1 1999 ro@suse.de
- use kernelconfig from kernmod-package
* Thu Apr 29 1999 ro@suse.de
- update to 0.8.3
* Thu Apr  8 1999 ro@suse.de
- update to 0.8.2
* Thu Mar 11 1999 uli@suse.de
- added missing doc files
* Thu Mar 11 1999 uli@suse.de
- new package, version 0.8
